Package org.codehaus.groovy.tools.shell.util

# Class MessageSource

java.lang.Object
groovy.lang.GroovyObjectSupport
org.codehaus.groovy.tools.shell.util.MessageSource

All Implemented Interfaces:
  `GroovyObject`

    public class MessageSource
    extends GroovyObjectSupport

Message source backed up by one or more `ResourceBundle` instances for simple i18n support.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MessageSource​(java.lang.Class type)` |
  `MessageSource​(java.lang.Class[] types)` |
  `MessageSource​(java.lang.String name)` |
  `MessageSource​(java.lang.String[] names)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `format​(java.lang.String code, java.lang.Object[] args)` | Format a message (based on `MessageFormat` using the message from the resource bundles using the given code as a pattern and the given objects as arguments.
  `java.lang.String` | `getMessage​(java.lang.String code)` | Get a raw message from the resource bundles using the given code.
  `java.lang.Object` | `getProperty​(java.lang.String name)` | Retrieves a property value.

  ### Methods inherited from class groovy.lang.GroovyObjectSupport

  `getMetaClass, setMetaClass`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `invokeMethod, setProperty`

- ## Constructor Details

  - ### MessageSource

    public MessageSource​(java.lang.String[] names)

  - ### MessageSource

    public MessageSource​(java.lang.String name)

  - ### MessageSource

    public MessageSource​(java.lang.Class[] types)

  - ### MessageSource

    public MessageSource​(java.lang.Class type)

- ## Method Details

  - ### getMessage

    public java.lang.String getMessage​(java.lang.String code)
    Get a raw message from the resource bundles using the given code.

  - ### format

    public java.lang.String format​(java.lang.String code, java.lang.Object[] args)
    Format a message (based on `MessageFormat` using the message from the resource bundles using the given code as a pattern and the given objects as arguments.

  - ### getProperty

    public java.lang.Object getProperty​(java.lang.String name)
    Description copied from interface: `GroovyObject`
    Retrieves a property value.
    Parameters:
      `name` - the name of the property of interest
    Returns:
      the given property
    See Also:
      `getMessage(String)`